Module jdk.compiler
Package com.sun.source.tree

## Interface WildcardTree

All Superinterfaces:
  Tree

    public interface WildcardTree
    extends Tree

A tree node for a wildcard type argument. Use `getKind` to determine the kind of bound. For example:

       ?

       ? extends bound

       ? super bound

Since:
  1.6
See The Java™ Language Specification:
  section 4.5.1

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Tree` `getBound()` Returns the bound of the wildcard.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getBound

    Tree getBound()

Returns the bound of the wildcard.

Returns:
  the bound